## PhoshWifiManager

PhoshWifiManager — Tracks the Wifi status and handle wifi credentials entry

## Functions

PhoshWifiManager * | phosh_wifi_manager_new ()
guint8 | phosh_wifi_manager_get_strength ()
const char * | phosh_wifi_manager_get_icon_name ()
const char * | phosh_wifi_manager_get_ssid ()
gboolean | phosh_wifi_manager_get_enabled ()
void | phosh_wifi_manager_set_enabled ()
gboolean | phosh_wifi_manager_get_present ()

## Properties

gboolean | enabled | Read
char * | icon-name | Read
gboolean | present | Read
char * | ssid | Read

## Types and Values

#define | PHOSH_TYPE_WIFI_MANAGER
| PhoshWifiManager

## Object Hierarchy

        GObject
        ╰── PhoshWifiManager

## Description

Manages wifi information and state

## Functions

### phosh_wifi_manager_new ()

    PhoshWifiManager *
    phosh_wifi_manager_new (void);

### phosh_wifi_manager_get_strength ()

    guint8
    phosh_wifi_manager_get_strength (PhoshWifiManager *self);

### phosh_wifi_manager_get_icon_name ()

    const char *
    phosh_wifi_manager_get_icon_name (PhoshWifiManager *self);

### phosh_wifi_manager_get_ssid ()

    const char *
    phosh_wifi_manager_get_ssid (PhoshWifiManager *self);

### phosh_wifi_manager_get_enabled ()

    gboolean
    phosh_wifi_manager_get_enabled (PhoshWifiManager *self);

### phosh_wifi_manager_set_enabled ()

    void
    phosh_wifi_manager_set_enabled (PhoshWifiManager *self,
                                    gboolean enabled);

### phosh_wifi_manager_get_present ()

    gboolean
    phosh_wifi_manager_get_present (PhoshWifiManager *self);

## Types and Values

### PHOSH_TYPE_WIFI_MANAGER

    #define PHOSH_TYPE_WIFI_MANAGER (phosh_wifi_manager_get_type())

### PhoshWifiManager

    typedef struct _PhoshWifiManager PhoshWifiManager;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether wifi is enabled and a wifi device is available.

Owner: PhoshWifiManager

Flags: Read

Default value: FALSE

### The `“icon-name”` property

      “icon-name”                char *

The wifi icon name.

Owner: PhoshWifiManager

Flags: Read

Default value: NULL

### The `“present”` property

      “present”                  gboolean

Whether wifi hardware is present.

Owner: PhoshWifiManager

Flags: Read

Default value: FALSE

### The `“ssid”` property

      “ssid”                     char *

The wifis ssid, if connected.

Owner: PhoshWifiManager

Flags: Read

Default value: NULL